Bug 1765519 - "foreman-maintain packages install" redundantly upgrades Satellite [NEEDINFO]
Summary: "foreman-maintain packages install" redundantly upgrades Satellite
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Foreman Maintain
Version: 6.6.0
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: Unspecified
Assignee: Anurag Patel
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-25 10:30 UTC by Pavel Moravec
Modified: 2020-06-15 07:12 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
fratto: needinfo? (apatel)
fratto: needinfo? (apatel)
ableisch: needinfo? (apatel)


Attachments (Terms of Use)

Description Pavel Moravec 2019-10-25 10:30:44 UTC
Description of problem:
User scenario: on a freshly installed Sat6.6, fully updated system, I want to install PCP, so I run:

foreman-maintain packages install pcp-zeroconf

This triggers after package install:
1) execution of satellite-installer (redundant, but let say still ok),
2) it runs it with --upgrade option, that stops all services and attempts to upgrade fully upgraded Satellite.

That seems as an overkill. Why installing a monitoring SW requires 10m+ downtime of all services and running steps like e.g. katello:clean_backend_objects?


Version-Release number of selected component (if applicable):
Sat 6.6 GA


How reproducible:
100%


Steps to Reproduce:
1. Install Sat6.6 on fully updated RHEL7.7
2. foreman-maintain packages install pcp-zeroconf
3. Confirm everything


Actual results:
the install command triggers also "satellite-installer --upgrade --disable-system-checks" sub-command, despite there was no reason for it


Expected results:
Ideally, foreman-maintain should identify if satellite-installer must be run at all (I can imagine we install/update something that alters some config that is maintained by installer - so then satellite-installer should reset it). And run it only when something needs to be reset that way.

Or at least foreman-maintain should trigger installer upgrade _only_ when f-m upgraded some Satellite-related process.


Additional info:

Comment 4 Andreas Bleischwitz 2020-01-16 08:35:53 UTC
IMHO it would make sense to make the "satellite-installer" run to be disabled - assuming the operator knows what he is doing.

Taking down Satellite for minutes just because some non-Satellite related package got installed seems a bit of an overkill to me. And this is not what that said operator would expect from his activity.

While some packages would interfere with Satellite and the installer will have to be run afterwards, it should not be mandatory for every package you install afterwards.


Note You need to log in before you can comment on or make changes to this bug.